import React from 'react'

// Import typefaces
import 'typeface-montserrat'
import 'typeface-merriweather'

import profilePic from './profile-pic.jpg'
import { rhythm } from '../utils/typography'

class Bio extends React.Component {
  render() {
    return (
      <div
        style={{
          display: 'flex',
          marginBottom: rhythm(2.5),
        }}
      >
        <img
          src={profilePic}
          alt={`Troy Cosentino`}
          style={{
            marginRight: rhythm(1 / 2),
            marginBottom: 0,
            width: rhythm(2),
            height: rhythm(2),
          }}
        />
        <p>
          Written by <strong>Troy Cosentino</strong> who lives and works in
          Seattle cooking and coding.{' '}
          <a href="https://twitter.com/troyrcosentino">
            You should follow him on Twitter
          </a>
        </p>
      </div>
    )
  }
}

export default Bio
