const isApplicableDay = (now, hh) => {
  switch (now.getDay()) {
    case 1:
      if (!hh.data.M) {
        return false
      }
      break
    case 2:
      if (!hh.data.T) {
        return false
      }
      break
    case 3:
      if (!hh.data.W) {
        return false
      }
      break
    case 4:
      if (!hh.data.Th) {
        return false
      }
      break
    case 5:
      if (!hh.data.F) {
        return false
      }
      break
    case 6:
      if (!hh.data.S) {
        return false
      }
      break
    case 7:
      if (!hh.data.Su) {
        return false
      }
      break
    default:
      return false
  }

  return true
}

export { isApplicableDay }
